| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Gaudi::RootAddress Class Reference

Description: More...

`#include <GaudiRoot/RootAddress.h>`

Inheritance diagram for Gaudi::RootAddress:
[legend]
Collaboration diagram for Gaudi::RootAddress:
[legend]

## Public Member Functions
| RootAddress (long svc, const CLID &clid, const std::string &p1="", const std::string &p2="", unsigned long ip1=0, unsigned long ip2=0)
| Full constructor. More...
virtual | ~RootAddress ()
| Standard Destructor. More...
Public Member Functions inherited from GenericAddress
| GenericAddress ()=default
| Dummy constructor. More...
| GenericAddress (const GenericAddress &copy)
| Standard Copy Constructor (note: m_refCount is NOT copied) More...
| GenericAddress (long svc, const CLID &clid, std::string p1="", std::string p2="", unsigned long ip1=0, unsigned long ip2=0)
| Standard Constructor. More...
| ~GenericAddress () override=default
| Standard Destructor. More...
unsigned long | addRef () override
| Add reference to object. More...
unsigned long | release () override
| release reference to object More...
IRegistry * | registry () const override
| Pointer to directory. More...
void | setRegistry (IRegistry *pRegistry) override
| Set pointer to directory. More...
const CLID & | clID () const override
| Access : Retrieve class ID of the link. More...
void | setClID (const CLID &clid)
| Access : Set class ID of the link. More...
long | svcType () const override
| Access : retrieve the storage type of the class id. More...
void | setSvcType (long typ)
| Access : set the storage type of the class id. More...
const std::string * | par () const override
| Retrieve string parameters. More...
const unsigned long * | ipar () const override
| Retrieve integer parameters. More...
Public Member Functions inherited from IOpaqueAddress
virtual | ~IOpaqueAddress ()=default
| destructor More...

## Public Attributes
TTreeFormula * | select = nullptr
| Pointer to ROOT select statement (filled for N-tuples only) More...
TTree * | section = nullptr
| Pointer to ROOT TTree (filled for N-tuples only) More...

## Additional Inherited Members
Protected Attributes inherited from GenericAddress
unsigned long | m_refCount = 0
| Reference count. More...
long | m_svcType = 0
| Storage type. More...
CLID | m_clID = 0
| Class id. More...
std::string | m_par [3]
| String parameters to be accessed. More...
unsigned long | m_ipar [2] = {0xFFFFFFFF, 0xFFFFFFFF}
| Integer parameters to be accessed. More...
IRegistry * | m_pRegistry = nullptr
| Pointer to corresponding directory. More...

## Detailed Description

Description:

Definition of a transient link which is capable of locating an object in the persistent storage.

Author
  M.Frank

Version
  1.0

Definition at line 37 of file RootAddress.h.

## Constructor & Destructor Documentation

Gaudi::RootAddress::RootAddress | ( | long | svc,
|  | const CLID & | clid,
|  | const std::string & | p1 = `""`,
|  | const std::string & | p2 = `""`,
|  | unsigned long | ip1 = `0`,
|  | unsigned long | ip2 = `0`
| ) |  |
| inline

Full constructor.

Definition at line 47 of file RootAddress.h.

49 : GenericAddress( svc, clid, p1, p2, ip1, ip2 )
50 {
51 }
GenericAddress::GenericAddress
GenericAddress()=default
Dummy constructor.

virtual Gaudi::RootAddress::~RootAddress | ( |  | ) |
| inline virtual

Standard Destructor.

Definition at line 53 of file RootAddress.h.

53 { delete select; }
Gaudi::RootAddress::select
TTreeFormula * select
Pointer to ROOT select statement (filled for N-tuples only)
Definition: RootAddress.h:41

## Member Data Documentation

TTree* Gaudi::RootAddress::section = nullptr

Pointer to ROOT TTree (filled for N-tuples only)

Definition at line 43 of file RootAddress.h.

TTreeFormula* Gaudi::RootAddress::select = nullptr

Pointer to ROOT select statement (filled for N-tuples only)

Definition at line 41 of file RootAddress.h.

The documentation for this class was generated from the following file:

- RootCnv/RootCnv/RootAddress.h